For the complete documentation index, see llms.txt. This page is also available as Markdown.

Service accounts

List Service Accounts

get

Returns a list of service accounts.

Args: filter_model: Model that takes care of filtering, sorting and pagination. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: A list of service accounts matching the filter.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
nameany of · nullableOptional
stringOptional
or
string[]Optional
descriptionany of · nullableOptional
stringOptional
or
string[]Optional
activeany of · nullableOptional
booleanOptional
or
stringOptional
external_user_idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/service_accounts

Create Service Account

post

Creates a service account.

Args: service_account: Service account to create.

Returns: The created service account.

Authorizations
OAuth2passwordRequired
Token URL:
Body

Request model for service accounts.

namestring · max: 255Required
full_namestring · max: 255OptionalDefault: ""
descriptionstring · max: 65535 · nullableOptional
activebooleanRequired
avatar_urlstring · nullableOptional
Responses
200

Successful Response

application/json

Response model for service accounts.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
post/api/v1/service_accounts

Get Service Account

get

Returns a specific service account.

Args: service_account_name_or_id: Name or ID of the service account. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: The service account matching the given name or ID.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
service_account_name_or_idany ofRequired
stringOptional
or
string · uuidOptional
Query parameters
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Response model for service accounts.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/service_accounts/{service_account_name_or_id}

Update Service Account

put

Updates a specific service account.

Args: service_account_name_or_id: Name or ID of the service account. service_account_update: the service account to use for the update.

Returns: The updated service account.

Raises: IllegalOperationError: If the service account was created via external authentication.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
service_account_name_or_idany ofRequired
stringOptional
or
string · uuidOptional
Body

Update model for service accounts.

namestring · max: 255 · nullableOptional
full_namestring · max: 255 · nullableOptional
descriptionstring · max: 65535 · nullableOptional
activeboolean · nullableOptional
avatar_urlstring · nullableOptional
Responses
200

Successful Response

application/json

Response model for service accounts.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
put/api/v1/service_accounts/{service_account_name_or_id}

Delete Service Account

delete

Delete a specific service account.

Args: service_account_name_or_id: Name or ID of the service account.

Raises: IllegalOperationError: If the service account was created via external authentication.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
service_account_name_or_idany ofRequired
stringOptional
or
string · uuidOptional
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/service_accounts/{service_account_name_or_id}

No content

ZenML Scarf

Last updated

Was this helpful?